%esercizio 8 punto 2
%la superficie di Kummer 

%range per x,y,z
x = linspace(-200,200,50); 
y = linspace(-200,200,50); 
z = linspace(-200,200,50); 

[X,Y,Z] = meshgrid(x,y,z); 

%mu è un parametro che inizializzo a 2
mu=2;

%equazione implicita
p=Z-1+sqrt(2)*X;
q=Z-1-sqrt(2)*X;
r=Z+1+sqrt(2)*Y;
s=Z+1-sqrt(2)*Y;
lamda=(3*mu-1)/(3-mu);
F=(X.^2 + Y.^2 + Z.^2 -mu).^2 -lamda.*p.*q.*r.*s;

colormap spring

%uso l'istruzione axisequal
axis equal

%Per realizzare un grafico 3D della superficie 
% definita da un'equazione implicita
%uso il comando isosurface.
isosurface(X,Y,Z,F,0,X)